{ python3Packages, sqlite, ... }:
let
  pname = "tuh-activity-logger";
  version = "1.0";
in
python3Packages.buildPythonApplication {
  inherit pname version;
  src = builtins.path {
    path = ../src/tuhmayto/.;
    name = "${pname}-${version}";
  };
  build-system = [ python3Packages.setuptools ];
  dependencies =
    [
      sqlite
    ]
    ++ builtins.attrValues {
      inherit (python3Packages)
        beautifulsoup4
        requests
        matplotlib
        ;
    };
}
